<?php

abstract class SecurePayApiController extends Controller {
    const ORDER_STATUS_PENDING = 1;
    const ORDER_STATUS_PROCESSING = 2;
    const ORDER_STATUS_COMPLETE = 5;
    const ORDER_STATUS_CANCELED = 7;
    const ORDER_STATUS_REFUNDED = 11;

    protected $storeId;
    protected $clientId;
    protected $clientSecret;
    protected $merchantCode;
    protected $isLive;
    protected $isCaptureImmediately;

    protected $general_error_message;
    protected $transaction_declined_message;

    public function __construct($registry)
    {
        parent::__construct($registry);
        $this->language->load('extension/payment/securepayapi');

        $this->storeId = $this->config->get('payment_securepayapi_store_uid');
        $this->clientId = $this->config->get('payment_securepayapi_client_id');
        $this->clientSecret = $this->config->get('payment_securepayapi_client_secret');
        $this->merchantCode = $this->config->get('payment_securepayapi_merchant_code');
        $this->isLive = $this->config->get('payment_securepayapi_test_mode') == 1 ? false : true;
        $this->isCaptureImmediately = $this->config->get('payment_securepayapi_capture') == 1 ? true : false;

        $this->transaction_declined_message = $this->language->get('transaction_declined_message');
        $this->general_error_message = $this->language->get('general_error_message');
    }
}